Loading...
Searching...
No Matches
volk_test_case_t Class Reference

`#include <lib/qa_utils.h>`

## Public Member Functions

volk_func_desc_t | desc ()
std::string | name ()
std::string | puppet_master_name ()
volk_test_params_t | test_parameters ()
| volk_test_case_t (volk_func_desc_t desc, void(*t_kernel_ptr)(), std::string name, volk_test_params_t test_parameters)
| volk_test_case_t (volk_func_desc_t desc, void(*t_kernel_ptr)(), std::string name, std::string puppet_master_name, volk_test_params_t test_parameters)

## Data Fields

void(*)() | kernel_ptr ()

## Constructor & Destructor Documentation

## volk_test_case_t() [1/2]

volk_test_case_t::volk_test_case_t | ( | volk_func_desc_t | desc,
|  | void(* | t_kernel_ptr )(),
|  | std::string | name,
|  | volk_test_params_t | test_parameters )

inline

## volk_test_case_t() [2/2]

volk_test_case_t::volk_test_case_t | ( | volk_func_desc_t | desc,
|  | void(* | t_kernel_ptr )(),
|  | std::string | name,
|  | std::string | puppet_master_name,
|  | volk_test_params_t | test_parameters )

inline

## Member Function Documentation

## desc()

volk_func_desc_t volk_test_case_t::desc | ( |  | ) |

inline

## name()

std::string volk_test_case_t::name | ( |  | ) |

inline

## puppet_master_name()

std::string volk_test_case_t::puppet_master_name | ( |  | ) |

inline

## test_parameters()

volk_test_params_t volk_test_case_t::test_parameters | ( |  | ) |

inline

## Field Documentation

## kernel_ptr

void(*)() volk_test_case_t::kernel_ptr()

inline